## org.jvnet.maven.plugin.antrun
Class ListFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.ListFilter

All Implemented Interfaces:
  java.lang.Cloneable, GraphVisitor

Direct Known Subclasses:
  AbstractArtifactsExclusionFilter, GroupIdFilter, ManifestEntryFilter, PackagingFilter

    public abstract class ListFilter

extends GraphFilter
implements GraphVisitor

`ListFilter` is a special kind of `GraphFilter` that only filters graph based on `DependencyGraph.Node`.

This kind of filters can be applied on a list of nodes.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ListFilter()`

Method Summary
`DependencyGraph` `process()`
`boolean` `visit(DependencyGraph.Edge edge)` Visits an edge.

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jvnet.maven.plugin.antrun.GraphVisitor
`visit`

Constructor Detail

### ListFilter

    public ListFilter()

Method Detail

### process

    public final DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

### visit

    public final boolean visit(DependencyGraph.Edge edge)

  Description copied from interface: `GraphVisitor`
  Visits an edge.

  Specified by:
    `visit` in interface `GraphVisitor`
  Returns:
    false to cut the traversal here and don't visit its destination node.

Copyright © 2011. All Rights Reserved.